Invites a user - Gable Docs
Invites a user
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST /v0/settings/users
Try it
Invites a user
cURL
curl --request POST \
--url https://demo-api.gable.ai/v0/settings/users \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '\
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"resendInvite": true
}
'
import requests
url = "https://demo-api.gable.ai/v0/settings/users"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"resendInvite": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
resendInvite: true
})
};
fetch('https://demo-api.gable.ai/v0/settings/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
User was invited to Gable
Body
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorizations
- X-API-KEY (header) - required
Body
- email (string) - required - The email address of the user, which is the primary ID in Gable
Pattern:^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$ - firstName (string) - The first name of the user
- lastName (string) - The last name of the user
- resendInvite (boolean) - The flag which determines whether the invitation should be resent
- role (enum
) - The role of the user - Available options: ADMIN,EDITOR,VIEWER